#
# spec file for package perl-OpenCA-OpenSSL (Version 0.8.34)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-OpenCA-OpenSSL
Copyright:    Copyright (C) 1998-1999 Massimiliano Pala (madwolf@openca.org) 
Group:        Development/Languages/Perl
Provides:     perl-OpenCA-OpenSSL
Requires:     openssl
Autoreqprov:  on
Summary:      Perl Openssl Interface
Version:      0.8.34
Release:      28
Source:  OpenCA-OpenSSL-0.8.34.tar.gz

%description
Perl Openssl Interface

Authors:
--------
    madwolf@openca.org 
    

SuSE series: perl

%prep
%setup -n OpenCA-OpenSSL-0.8.34
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
eval `perl -V:installarchlib`
rm -f $installarchlib/perllocal.pod
make install
install -d /var/adm/perl-modules
mv $installarchlib/perllocal.pod /var/adm/perl-modules/perl-OpenCA-OpenSSL

%files
/usr/lib/perl5/site_perl/5.*/OpenCA/OpenSSL.pm
/usr/lib/perl5/site_perl/5.*/*-linux/auto/OpenCA/OpenSSL
%{_mandir}/man3/OpenCA::OpenSSL.3pm.gz
/var/adm/perl-modules/perl-OpenCA-OpenSSL
%doc Changes LICENSE MANIFEST doc

%changelog -n perl-OpenCA-OpenSSL
* Tue Aug 21 2001 - ug@suse.de
- added to distribution
